# Gimp.Image.prototype.take_selected_channels

    function take_selected_channels(channels: Array(Gimp.Channel)): Boolean {
        // Gjs wrapper for gimp_image_take_selected_channels()
    }

The channels are set as the selected channels in the image. Any previous selected layers or channels are unselected. An exception is a previously existing floating selection, in which case this procedure will return an execution error.

Since 3.0

channels

  The list of channels to select.

Returns

  TRUE on success.